C*********************************************************************
C*********************************************************************
C
      SUBROUTINE FXSURF3
     I   ( U,     V,     TPOT , QVAP ,
     I     ICL  , CDRAGV, 
     O     FUMOM, FVMOM, FHEAT, FEVAP,
     B     DENS0, TPOT0, QVAP0, PPAI0,
     C     CPDRY,
     S     VSFC0,
     S     TSFC, QVSFC,
     D     NX, NZ, NXB, NZB, NROT    )
C
C*********************************************************************
      IMPLICIT REAL*8 ( A-H, O-Z )
C*********************************************************************
C
      DIMENSION
     \   U   ( -2:NXB, -2:NZB, NROT ),
     \   V   ( -2:NXB, -2:NZB, NROT ),
     \   TPOT( -2:NXB, -2:NZB, NROT ),
     \   QVAP( -2:NXB, -2:NZB, NROT )
C
      DIMENSION
     \     CDRAGV( -2:NXB )

      DIMENSION
     \   FUMOM ( -2:NXB, 2 ), FVMOM ( -2:NXB, 2 ),
     \   FHEAT ( -2:NXB, 2 ), FEVAP ( -2:NXB, 2 )
C
      DIMENSION
     \   TSFC ( -2:NXB ), QVSFC ( -2:NXB )
C
      DIMENSION
     \   PPAI0( -2:NZB ),
     \   DENS0( -2:NZB ),
     \   TPOT0( -2:NZB ),
     \   QVAP0( -2:NZB )
C
C====================================================================
C
      DO 11 IX = 1, NX

         FUMOM(IX,2) =    0.0D0
         FVMOM(IX,2) =    0.0D0
         FEVAP(IX,2) =    0.0D0
         fheat(ix,2) = 0.0d0

         VSFC = SQRT( U(IX,0,ICL)**2 + V(IX,0,ICL)**2 )
C        VSFC = SQRT( 13.5D0**2 + VSFC0**2 )
         FUMOM(IX,1) = - CDRAGV(IX) * VSFC * U(IX,0,ICL) * DENS0(0)
C        FUMOM(IX,1) =  0.0D0
         FVMOM(IX,1) = - CDRAGV(IX) * VSFC * V(IX,0,ICL) * DENS0(0)
C        FVMOM(IX,1) =  0.0D0

C        FHEAT(IX,1) =  10.0d0

         FHEAT(IX,1) = - CDRAGV(IX) * VSFC * DENS0(0) * CPDRY
     \       * ( (TPOT(IX,0,ICL)+TPOT0(0)) * PPAI0(0) - TSFC(IX) )

         FEVAP(IX,1) = 0.0d0

   11 CONTINUE
C

      do 21 ibound = 1, 2

      FUMOM(-2, ibound) = FUMOM(NX-2, ibound)
      FUMOM(-1, ibound) = FUMOM(NX-1, ibound)
      FUMOM( 0, ibound) = FUMOM(NX  , ibound)
      FUMOM(NX+1, ibound) = FUMOM( 1 , ibound)
      FUMOM(NX+2, ibound) = FUMOM( 2 , ibound)
C
      FVMOM(-2, ibound) = FVMOM(NX-2, ibound)
      FVMOM(-1, ibound) = FVMOM(NX-1, ibound)
      FVMOM( 0, ibound) = FVMOM(NX  , ibound)
      FVMOM(NX+1, ibound) = FVMOM( 1 , ibound)
      FVMOM(NX+2, ibound) = FVMOM( 2 , ibound)
C
      FHEAT(-2, ibound) = FHEAT(NX-2, ibound)
      FHEAT(-1, ibound) = FHEAT(NX-1, ibound)
      FHEAT( 0, ibound) = FHEAT(NX  , ibound)
      FHEAT(NX+1, ibound) = FHEAT( 1 , ibound)
      FHEAT(NX+2, ibound) = FHEAT( 2 , ibound)
C
      FEVAP(-2, ibound) = FEVAP(NX-2, ibound)
      FEVAP(-1, ibound) = FEVAP(NX-1, ibound)
      FEVAP( 0, ibound) = FEVAP(NX  , ibound)
      FEVAP(NX+1, ibound) = FEVAP( 1 , ibound)
      FEVAP(NX+2, ibound) = FEVAP( 2 , ibound)
C
 21   continue

C====================================================================
C
      RETURN
      E N D
